# delimit ;
set more off;
set linesize 200;
clear all;
*************************************************************;
*Replication program for Chapter 6 in SW 4E
* Caschool.do;
*************************************************************;
log using ch6_caschools.log,replace;
***********************************;
* Read In Data; 
use "/Users/mwatson/Dropbox/TB/4E/WebSupplements/ForStudents/SW_4E_ReplicationFiles/Replication_Data/caschool.dta";
*;
*;
* Decription of Data;
* dist_code -- district Code;
* Read_scr  -- avg Reading Score;
* Math_scr  -- avg Math Score;
* County   --  county;
* District -- District;
* gr_span -- grade span of district;
* enrl_tot -- total enrollment;
* teachers -- number of teachers;
* computer -- number of computers;
* testscr -- avg test score (= (read_scr+math_scr)/2 );
* comp_stu -- computers per student ( = computer/enrl_tot);
* expn_stu -- expentitures per student;
* str -- student teacher ration (teachers/enrl_tot);
* el_pct -- percent of English Learners;
* Meal_pct -- Percent qualifying for reduced-price lunch;
* calw_pct -- Percent qualifying for CalWorks;
* avginc -- district average income (in $1000's);

**************************************************************;
***** Table 6.1 ******
**************************************************************;
gen str_20 = (str<20);
gen ts_lostr = testscr if str_20==1;
gen ts_histr = testscr if str_20==0;
gen elq1 = (el_pct<1.9);
gen elq2 = (el_pct>=1.9)*(el_pct<8.8);
gen elq3 = (el_pct>=8.8)*(el_pct<23.0);
gen elq4 = (el_pct>=23.0);
ttest ts_lostr=ts_histr, unp une;
ttest ts_lostr=ts_histr if elq1==1, unp une;
ttest ts_lostr=ts_histr if elq2==1, unp une;
ttest ts_lostr=ts_histr if elq3==1, unp une;
ttest ts_lostr=ts_histr if elq4==1, unp une;
**************************************************************;
***** Eq 6.11 ******
**************************************************************;
reg testscr str, r;
**************************************************************;
***** Eq 6.12 ******
**************************************************************;
reg testscr str el_pct, r;
**************************************************************;
log close;
clear;
exit;
